import os
import subprocess
from . import res

def start_workflow():
    res.bootstrap_folder_structure()

    for f in res.get_all_encoded_files_hevc():
        if os.path.exists(res.get_filepath_metric_log(f)):
            continue

        subprocess.run(
            res.get_benchmark_command(f),
            shell=True,
            check=True
        )
        